module libva_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libva
const libva_path = "/usr/lib/libva.so.2"
libva_handle = C_NULL
get_libva_path() = libva_path
const libva = "libva.so.2"
export libva_drm
const libva_drm_path = "/usr/lib/libva-drm.so.2"
libva_drm_handle = C_NULL
get_libva_drm_path() = libva_drm_path
const libva_drm = "libva-drm.so.2"
export libva_x11
const libva_x11_path = "/usr/lib/libva-x11.so.2"
libva_x11_handle = C_NULL
get_libva_x11_path() = libva_x11_path
const libva_x11 = "libva-x11.so.2"
function __init__()
    global libva_handle = dlopen(libva_path)
    global libva_drm_handle = dlopen(libva_drm_path)
    global libva_x11_handle = dlopen(libva_x11_path)
end
end
